// PropPageR2Dnis.cpp : implementation file
//

#include "stdafx.h"
#include "digidbp.h"
#include "PropPageR2Dnis.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropPageR2Dnis property page

IMPLEMENT_DYNCREATE(CPropPageR2Dnis, CPropertyPage)

CPropPageR2Dnis::CPropPageR2Dnis() : CPropertyPage(CPropPageR2Dnis::IDD)
{
	//{{AFX_DATA_INIT(CPropPageR2Dnis)
	m_nMinDNIS = 0;
	m_nMaxDNIS = 0;
	m_fSendANI = FALSE;
	m_nMaxANI = 0;
	m_nMinANI = 0;
	//}}AFX_DATA_INIT
}

CPropPageR2Dnis::~CPropPageR2Dnis()
{
}

void CPropPageR2Dnis::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPropPageR2Dnis)
	DDX_Control(pDX, IDC_SendANIData, m_ctrlSendANI);
	DDX_Text(pDX, IDC_EDIT_MinDNIS, m_nMinDNIS);
	DDV_MinMaxUInt(pDX, m_nMinDNIS, 0, 15);
	DDX_Text(pDX, IDC_EDIT_MaxDNIS, m_nMaxDNIS);
	DDV_MinMaxUInt(pDX, m_nMaxDNIS, 0, 15);
	DDX_Check(pDX, IDC_SendANIData, m_fSendANI);
	DDX_Text(pDX, IDC_EDIT_MaxANI, m_nMaxANI);
	DDV_MinMaxUInt(pDX, m_nMaxANI, 0, 15);
	DDX_Text(pDX, IDC_EDIT_MinANI, m_nMinANI);
	DDV_MinMaxUInt(pDX, m_nMinANI, 0, 15);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPropPageR2Dnis, CPropertyPage)
	//{{AFX_MSG_MAP(CPropPageR2Dnis)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropPageR2Dnis message handlers


BOOL CPropPageR2Dnis::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();

	UpdateData(FALSE); // Send variable data to the controls
		
	return TRUE;
}
